
QGIS Application - Bug report #20295

Crash on Opening Options

2018-10-31 11:36 AM - Richard Duivenvoorde

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28116

Description

VERY recent master commit:b64e72a89d

As soon as I try to open the Settings/Options QGIS crashes:

(fresh profile etc):

../src/app/qgisapp.cpp: 1412: (QgisApp) [0ms]  - qgisapp/startup/Show main window - 0.372

../src/app/qgisapp.cpp: 1412: (QgisApp) [0ms]  - qgisapp/startup/New project - 0.102

../src/core/qgsscalecalculator.cpp: 129: (calculateGeographicDistance) [2ms] Distance across map extent (m): 774097

../src/core/qgsscalecalculator.cpp: 86: (calculate) [0ms] scale = 2.98543e+07 conversionFactor = 39.3701

../src/core/qgsmapsettings.cpp: 208: (updateDerived) [1ms] Map units per pixel (x,y) : 0.02040816326530612,

0.07142857142857142

../src/core/qgsmapsettings.cpp: 209: (updateDerived) [0ms] Pixmap dimensions (x,y) : 98, 28

../src/core/qgsmapsettings.cpp: 210: (updateDerived) [0ms] Extent dimensions (x,y) : 2, 2

../src/core/geometry/qgsrectangle.cpp: 152: (toString) [0ms] Extents : -1.0000000000000000,-1.0000000000000000 :

1.0000000000000000,1.0000000000000000

../src/core/qgsmapsettings.cpp: 211: (updateDerived) [0ms] -1.0000000000000000,-1.0000000000000000 :

1.0000000000000000,1.0000000000000000

../src/core/qgsmapsettings.cpp: 212: (updateDerived) [0ms] Adjusted map units per pixel (x,y) : 0.07142857142857142,

0.07142857142857142

../src/core/qgsmapsettings.cpp: 213: (updateDerived) [0ms] Recalced pixmap dimensions (x,y) : 98, 28

../src/core/qgsmapsettings.cpp: 214: (updateDerived) [1ms] Scale (assuming meters as map units) =

1:29854290.59624353423714638

../src/core/qgsmapsettings.cpp: 215: (updateDerived) [0ms] Rotation: 0 degrees

../src/core/qgscoordinatetransform_p.cpp: 210: (initialize) [1051ms] Source/Dest CRS not equal, shortcircuit is not set.

../src/app/qgisappstylesheet.cpp: 59: (defaultOptions) [28233ms] fontPointSize: 11

../src/app/qgisappstylesheet.cpp: 78: (defaultOptions) [0ms] fontFamily: Cantarell

../src/app/qgsoptions.cpp: 157: (QgsOptions) [17ms] Standard Identify radius setting read from settings file: 2

../src/app/qgssettingstree.cpp: 257: (createItem) [131ms] PythonPlugins

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] PythonPlugins/GdalTools

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] PythonPlugins/MetaSearch

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] PythonPlugins/db_manager

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] PythonPlugins/processing

../src/app/qgssettingstree.cpp: 257: (createItem) [15ms] app

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] app/plugin_repositories

../src/app/qgssettingstree.cpp: 257: (createItem) [1ms] app/plugin_repositories/QGIS Official Plugin Repository

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] app/plugin_repositories/QGIS Official Plugin Repository/url

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] app/maxRecentProjects

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] app/minTaskLengthForSystemNotification
../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] locale

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] locale/userLocale

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] migration

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] migration/firstRunVersionFlag

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis

../src/app/qgssettingstree.cpp: 257: (createItem) [1ms] qgis/connections-xyz

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/connections-xyz/OpenStreetMap

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/connections-xyz/OpenStreetMap/authcfg

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/connections-xyz/OpenStreetMap/password

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/connections-xyz/OpenStreetMap/referer

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/connections-xyz/OpenStreetMap/url

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/connections-xyz/OpenStreetMap/username

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/connections-xyz/OpenStreetMap/zmax

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/connections-xyz/OpenStreetMap/zmin

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/digitizing

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/digitizing/default_snap_enabled

../src/app/qgssettingstree.cpp: 257: (createItem) [1ms] qgis/digitizing/default_snap_type

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/digitizing/default_snapping_tolerance

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/digitizing/default_snapping_tolerance_unit

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/digitizing/snap_invisible_feature

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/stylesheet

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/stylesheet/toolbarSpacing

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/iconSize

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/main_canvas_preview_jobs

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/symbolsListGroupsIndex

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] qgis/formatLayerName

../src/app/qgssettingstree.cpp: 257: (createItem) [1ms] colors

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] colors/critical

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] colors/default

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] colors/info

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] colors/success

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] colors/warning

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] core

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] core/projects

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] core/projects/anonymize_new_projects

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] help

../src/app/qgssettingstree.cpp: 257: (createItem) [1ms] help/helpSearchPath

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] providers

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] providers/PostgreSQL

../src/app/qgssettingstree.cpp: 257: (createItem) [0ms] providers/PostgreSQL/default_timeout

Fatal: ASSERT failure in QgsOptions::checkPageWidgetNameMap(): "QgisApp::optionsPagesMap() is outdated, contains too

many entries", file ../src/app/qgsoptions.cpp, line 1147

QGIS died on signal -1[New LWP 21678]

[New LWP 21679]

[New LWP 21680]

[New LWP 21682]

[New LWP 21683]

[New LWP 21686]

[New LWP 21688]

[New LWP 21765]

[New LWP 21774]

[New LWP 21809]

2024-05-21 2/3



Associated revisions

Revision 15435ad5 - 2018-10-31 09:22 PM - Nyall Dawson

Fix crash on opening options on debug builds where open CL is not enabled

Fixes #20295

Revision 030d2668 - 2018-11-01 01:23 PM - Nyall Dawson

Fix crash on opening options on debug builds where open CL is not enabled

Fixes #20295

(cherry picked from commit 15435ad56e24bd8dcfdee1556eb25e42fa31bcb3)

History

#1 - 2018-10-31 11:55 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

#2 - 2018-10-31 12:48 PM - Jürgen Fischer

- Description updated

#3 - 2018-10-31 09:22 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|15435ad56e24bd8dcfdee1556eb25e42fa31bcb3.

2024-05-21 3/3


